Bug 247779 - emulators/wine-devel: fails to build 5.12
Summary: emulators/wine-devel: fails to build 5.12
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Gerald Pfeifer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-07-05 13:58 UTC by VVD
Modified: 2020-07-19 18:17 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (gerald)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description VVD 2020-07-05 13:58:25 UTC
../xaudio2_7/xact_dll.c:84:5: error: unknown type name 'IXACT34Cue'
   84 |     IXACT34Cue IXACT34Cue_iface;
../xaudio2_7/xact_dll.c: At top level:
../xaudio2_7/xact_dll.c:293:50: error: unknown type name 'IXACT34Cue'; did you mean 'IXACT3Cue'?
  293 | static inline XACT3CueImpl *impl_from_IXACT34Cue(IXACT34Cue *iface)
      |                                                  ^~~~~~~~~~
      |                                                  IXACT3Cue
../xaudio2_7/xact_dll.c:298:43: error: unknown type name 'IXACT34Cue'; did you mean 'IXACT3Cue'?
  298 | static HRESULT WINAPI IXACT34CueImpl_Play(IXACT34Cue *iface)
      |                                           ^~~~~~~~~~
      |                                           IXACT3Cue
../xaudio2_7/xact_dll.c:307:43: error: unknown type name 'IXACT34Cue'; did you mean 'IXACT3Cue'?
  307 | static HRESULT WINAPI IXACT34CueImpl_Stop(IXACT34Cue *iface, DWORD dwFlags)
      |                                           ^~~~~~~~~~
      |                                           IXACT3Cue
../xaudio2_7/xact_dll.c:316:47: error: unknown type name 'IXACT34Cue'; did you mean 'IXACT3Cue'?
  316 | static HRESULT WINAPI IXACT34CueImpl_GetState(IXACT34Cue *iface, DWORD *pdwState)
      |                                               ^~~~~~~~~~
      |                                               IXACT3Cue
../xaudio2_7/xact_dll.c:325:46: error: unknown type name 'IXACT34Cue'; did you mean 'IXACT3Cue'?
  325 | static HRESULT WINAPI IXACT34CueImpl_Destroy(IXACT34Cue *iface)
      |                                              ^~~~~~~~~~
      |                                              IXACT3Cue
../xaudio2_7/xact_dll.c:336:60: error: unknown type name 'IXACT34Cue'; did you mean 'IXACT3Cue'?
  336 | static HRESULT WINAPI IXACT34CueImpl_SetMatrixCoefficients(IXACT34Cue *iface,
      |                                                            ^~~~~~~~~~
      |                                                            IXACT3Cue
../xaudio2_7/xact_dll.c:349:65: error: unknown type name 'IXACT34Cue'; did you mean 'IXACT3Cue'?
  349 | static XACTVARIABLEINDEX WINAPI IXACT34CueImpl_GetVariableIndex(IXACT34Cue *iface,
      |                                                                 ^~~~~~~~~~
      |                                                                 IXACT3Cue
../xaudio2_7/xact_dll.c:359:50: error: unknown type name 'IXACT34Cue'; did you mean 'IXACT3Cue'?
  359 | static HRESULT WINAPI IXACT34CueImpl_SetVariable(IXACT34Cue *iface,
      |                                                  ^~~~~~~~~~
      |                                                  IXACT3Cue
../xaudio2_7/xact_dll.c:369:50: error: unknown type name 'IXACT34Cue'; did you mean 'IXACT3Cue'?
  369 | static HRESULT WINAPI IXACT34CueImpl_GetVariable(IXACT34Cue *iface,
      |                                                  ^~~~~~~~~~
      |                                                  IXACT3Cue
../xaudio2_7/xact_dll.c:379:44: error: unknown type name 'IXACT34Cue'; did you mean 'IXACT3Cue'?
  379 | static HRESULT WINAPI IXACT34CueImpl_Pause(IXACT34Cue *iface, BOOL fPause)
      |                                            ^~~~~~~~~~
      |                                            IXACT3Cue
../xaudio2_7/xact_dll.c:388:52: error: unknown type name 'IXACT34Cue'; did you mean 'IXACT3Cue'?
  388 | static HRESULT WINAPI IXACT34CueImpl_GetProperties(IXACT34Cue *iface,
      |                                                    ^~~~~~~~~~
      |                                                    IXACT3Cue
../xaudio2_7/xact_dll.c:405:14: error: unknown type name 'IXACT34CueVtbl'
  405 | static const IXACT34CueVtbl XACT34Cue_Vtbl =
      |              ^~~~~~~~~~~~~~
../xaudio2_7/xact_dll.c:407:5: error: 'IXACT34CueImpl_Play' undeclared here (not in a function); did you mean 'IXACT3CueImpl_Play'?
  407 |     IXACT34CueImpl_Play,
      |     ^~~~~~~~~~~~~~~~~~~
      |     IXACT3CueImpl_Play
../xaudio2_7/xact_dll.c:408:5: error: 'IXACT34CueImpl_Stop' undeclared here (not in a function); did you mean 'IXACT3CueImpl_Stop'?
  408 |     IXACT34CueImpl_Stop,
      |     ^~~~~~~~~~~~~~~~~~~
      |     IXACT3CueImpl_Stop
../xaudio2_7/xact_dll.c:408:5: warning: excess elements in scalar initializer
../xaudio2_7/xact_dll.c:408:5: note: (near initialization for 'XACT34Cue_Vtbl')
../xaudio2_7/xact_dll.c:409:5: error: 'IXACT34CueImpl_GetState' undeclared here (not in a function); did you mean 'IXACT3CueImpl_GetState'?
  409 |     IXACT34CueImpl_GetState,
      |     ^~~~~~~~~~~~~~~~~~~~~~~
      |     IXACT3CueImpl_GetState
../xaudio2_7/xact_dll.c:409:5: warning: excess elements in scalar initializer
../xaudio2_7/xact_dll.c:409:5: note: (near initialization for 'XACT34Cue_Vtbl')
../xaudio2_7/xact_dll.c:410:5: error: 'IXACT34CueImpl_Destroy' undeclared here (not in a function); did you mean 'IXACT3CueImpl_Destroy'?
  410 |     IXACT34CueImpl_Destroy,
      |     ^~~~~~~~~~~~~~~~~~~~~~
      |     IXACT3CueImpl_Destroy
../xaudio2_7/xact_dll.c:410:5: warning: excess elements in scalar initializer
../xaudio2_7/xact_dll.c:410:5: note: (near initialization for 'XACT34Cue_Vtbl')
../xaudio2_7/xact_dll.c:411:5: error: 'IXACT34CueImpl_SetMatrixCoefficients' undeclared here (not in a function); did you mean 'IXACT3CueImpl_SetMatrixCoefficients'?
  411 |     IXACT34CueImpl_SetMatrixCoefficients,
      |     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
      |     IXACT3CueImpl_SetMatrixCoefficients
../xaudio2_7/xact_dll.c:411:5: warning: excess elements in scalar initializer
../xaudio2_7/xact_dll.c:411:5: note: (near initialization for 'XACT34Cue_Vtbl')
../xaudio2_7/xact_dll.c:412:5: error: 'IXACT34CueImpl_GetVariableIndex' undeclared here (not in a function); did you mean 'IXACT3CueImpl_GetVariableIndex'?
  412 |     IXACT34CueImpl_GetVariableIndex,
      |     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
      |     IXACT3CueImpl_GetVariableIndex
../xaudio2_7/xact_dll.c:412:5: warning: excess elements in scalar initializer
../xaudio2_7/xact_dll.c:412:5: note: (near initialization for 'XACT34Cue_Vtbl')
../xaudio2_7/xact_dll.c:413:5: error: 'IXACT34CueImpl_SetVariable' undeclared here (not in a function); did you mean 'IXACT3CueImpl_SetVariable'?
  413 |     IXACT34CueImpl_SetVariable,
      |     ^~~~~~~~~~~~~~~~~~~~~~~~~~
      |     IXACT3CueImpl_SetVariable
../xaudio2_7/xact_dll.c:413:5: warning: excess elements in scalar initializer
../xaudio2_7/xact_dll.c:413:5: note: (near initialization for 'XACT34Cue_Vtbl')
../xaudio2_7/xact_dll.c:414:5: error: 'IXACT34CueImpl_GetVariable' undeclared here (not in a function); did you mean 'IXACT3CueImpl_GetVariable'?
  414 |     IXACT34CueImpl_GetVariable,
      |     ^~~~~~~~~~~~~~~~~~~~~~~~~~
      |     IXACT3CueImpl_GetVariable
../xaudio2_7/xact_dll.c:414:5: warning: excess elements in scalar initializer
../xaudio2_7/xact_dll.c:414:5: note: (near initialization for 'XACT34Cue_Vtbl')
../xaudio2_7/xact_dll.c:84:5: error: unknown type name 'IXACT34Cue'
   84 |     IXACT34Cue IXACT34Cue_iface;


        CUPS           : on
        DOCS           : off
        DOSBOX         : on
        GCC            : on
        GECKO          : on
        GNUTLS         : on
        HAL            : off
        LDAP           : off
        LIBXSLT        : on
        MONO           : on
        MPG123         : off
        OPENAL         : off
        STAGING        : on
        V4L            : on
        VKD3D          : off
        VULKAN         : off
        WINEMAKER      : on
        X11            : on
Comment 1 commit-hook freebsd_committer 2020-07-06 07:53:38 UTC
A commit references this bug:

Author: gerald
Date: Mon Jul  6 07:52:48 UTC 2020
New revision: 541323
URL: https://svnweb.freebsd.org/changeset/ports/541323

Log:
  Mark the STAGING option as broken - I reported this upstream and shared
  a strawman patch, so hopefully this will be resolved for the next snapshot:

    https://www.winehq.org/pipermail/wine-devel/2020-July/169366.html
    https://www.winehq.org/pipermail/wine-devel/2020-July/169367.html

  (Due to this being broken my original commit did not include the
  distinfo entry for the respective download. Make up for that, in
  case a fix becomes available.)

  Also label the STAGING option as experimental.

  PR:		247779

Changes:
  head/emulators/wine-devel/Makefile
  head/emulators/wine-devel/distinfo
Comment 2 VVD 2020-07-19 18:17:31 UTC
1. 5.13 build fine with STAGING patches.
2. Patch files/patch-dlls-ntdll-unix-registry.c already in upstream.